complexType "ReturnSwapNotional"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | relativeNotionalAmount? | relativeDeterminationMethod? | determinationMethod? | notionalAmount?
</...>

Content Model Elements (4):

  determinationMethod (defined in ReturnSwapNotional complexType),
  notionalAmount (defined in ReturnSwapNotional complexType),
  relativeDeterminationMethod,
  relativeNotionalAmount

All Direct / Indirect Based Elements (2):

  notional (in interestLeg), | notional (in returnLeg)

Known Usage Locations

- As direct type of elements (2):

  notional (in interestLeg), | notional (in returnLeg)

Annotation
Specifies the notional of return type swap. When used in the equity leg, the definition will typically combine the actual amount (using the notional component defined by the FpML industry group) and the determination method. When used in the interest leg, the definition will typically point to the definition of the equity leg.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ReturnSwapNotional"> <xsd:choice> <xsd:element minOccurs="0" name="relativeNotionalAmount" type="ReturnSwapNotionalAmountReference"/> <xsd:element minOccurs="0" name="relativeDeterminationMethod" type="DeterminationMethodReference"/> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/> <xsd:element minOccurs="0" name="notionalAmount" type="NotionalAmount"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
determinationMethod

  Type: | DeterminationMethod, simple content

  Specifies the method according to which an amount or a date is determined.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/>

notionalAmount

  Type: | NotionalAmount, complex content

  The notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="NotionalAmount"/>

relativeDeterminationMethod

  Type: | DeterminationMethodReference, empty content

  A reference to the return swap notional determination method defined elsewhere in this document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeDeterminationMethod" type="DeterminationMethodReference"/>

relativeNotionalAmount

  Type: | ReturnSwapNotionalAmountReference, empty content

  A reference to the return swap notional amount defined elsewhere in this document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeNotionalAmount" type="ReturnSwapNotionalAmountReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.